bcftools(1)

NAME

bcftools - Utilities for the Binary Call Format (BCF) and VCF.

SYNOPSIS

bcftools index in.bcf

bcftools view in.bcf chr2:100-200 > out.vcf

bcftools view -vc in.bcf > out.vcf 2> out.afs

DESCRIPTION

Bcftools is a toolkit for processing VCF/BCF files, calling variants and estimating site allele frequencies and allele frequency spectrums.

COMMANDS AND OPTIONS

view
    bcftools view [-cbuSAGgHvNQ] [-1 nGroup1] [-l listFile] [-t mutRate] [-p varThres] [-P prior] in.bcf [region] Convert between BCF and VCF, call variant candidates and estimate allele frequencies. OPTIONS:

    -b  Output in the BCF format. The default is VCF.

    -c  Call variants.

    -v  Output variant sites only (force -c)

    -g  Call per-sample genotypes at variant sites (force -c)

    -u  Uncompressed BCF output (force -b).

    -S  The input is VCF instead of BCF.

    -A  Retain all possible alternate alleles at variant sites. By default, this command discards unlikely alleles.

    -G  Suppress all individual genotype information.

    -H  Perform Hardy-Weiberg Equilibrium test. This will add computation time, sometimes considerably.

    -N  Skip sites where the REF field is not A/C/G/T

    -Q  Output the QCALL likelihood format

    -f  Reference-free variant calling mode. In this mode, the prior will be folded; a variant is called iff the sample(s) contains at least two alleles; the QUAL field in the VCF/BCF output is changed accordingly.

    -1 INT
        Number of group-1 samples. This option is used for dividing input into two groups for comparing. A zero value disables this functionality. [0]

    -l FILE
        List of sites at which information are outputted [all sites]

    -t FLOAT
        Scaled muttion rate for variant calling [0.001]

    -p FLOAT
        A site is considered to be a variant if P(ref|D)<FLOAT [0.5]

    -P STR
        Prior or initial allele frequency spectrum. If STR can be full, cond2, flat or the file consisting of error output from a previous variant calling run.

index
    bcftools index in.bcf Index sorted BCF for random access.

cat bcftools cat in1.bcf [in2.bcf [...]]] Concatenate BCF files. The input files are required to be sorted and have identical samples appearing in the same order.